package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 工单销售类型
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/27 11:28
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum SaleTypeEnum implements BaseEnum, IEnum<Integer> {

    A("1","零售"),
    B("2","工程"),
    C("3","延保"),
    D("4","工程维保")
    ;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;


    @Override
    public Integer getValue() {
        return getIntKey();
    }
}
